Bug 461929 - Review Request: mnemosyne - Flash-card learning tool
Review Request: mnemosyne - Flash-card learning tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Charles R. Anderson
Fedora Extras Quality Assurance
:
Depends On: 481425
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-11 10:14 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2009-01-26 20:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-26 20:49:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cra: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2008-09-11 10:14:42 EDT
Spec URL: http://rpm.greysector.net/fedora/mnemosyne.spec
SRPM URL: http://rpm.greysector.net/fedora/mnemosyne-1.1.1-1.src.rpm
Description:
Mnemosyne resembles a traditional flash-card program but with an
important twist: it uses a sophisticated algorithm to schedule the best
time for a card to come up for review.

% rpmlint mnemosyne-1.1.1-1.noarch.rpm mnemosyne-1.1.1-1.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Dominik 'Rathann' Mierzejewski 2008-10-03 13:42:20 EDT
Spec URL: http://rathann.fedorapeople.org/review/mnemosyne.spec
SRPM URL: http://rathann.fedorapeople.org/review/mnemosyne-1.1.1-2.r1.fc9.src.rpm

Updated to latest release (upstream fixed a small issue I reported).
Comment 2 Charles R. Anderson 2008-10-06 19:46:37 EDT
Initial review:

+:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[] MUST: The package must meet the Packaging Guidelines. [FIXME?: covers this list and more]
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.

sha1sum checksum:
b81b0785283651eb0814998af2895216855cf742  mnemosyne-1.1.1-r1.tgz

[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.

rpmlint mnemosyne-1.1.1-2.r1.fc9.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[+] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[+] MUST: Static libraries must be in a -static package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[+] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[=] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: Packages should try to preserve timestamps of original installed files.
Comment 3 Nicolas Chauvet (kwizart) 2008-10-30 19:53:28 EDT
@Charles 
review is nearly done here / will you finish ?
Comment 4 Charles R. Anderson 2008-10-30 20:33:22 EDT
I would like to, but I'm not sponsored yet :-(
Comment 5 Nicolas Chauvet (kwizart) 2008-10-31 14:12:43 EDT
koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=913629

You are building a noarch python package.
Using CFLAGS is irrelevant. (it is replaced as -O2 only as noarch package).

In the install section, why do you need to install twice ?
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
should be enought. (at least there is the same set of files with this method).

Gnome HIG recommends to use verb(s) in comments for desktop files...
http://developer.gnome.org/projects/gup/hig/1.0/

About r1, it is annoying. But I think you have handled it right.
Comment 6 Dominik 'Rathann' Mierzejewski 2008-11-11 11:36:39 EST
(In reply to comment #4)
> I would like to, but I'm not sponsored yet :-(

You are now.
Comment 7 Charles R. Anderson 2008-11-11 11:58:30 EST
Yes, thanks Dominik :-)

You need to add Requires: hicolor-icon-theme for the /usr/share/icons/hicolor/128x128/apps/ directory.

Package ACCEPTED.
Comment 8 Dominik 'Rathann' Mierzejewski 2008-11-11 13:12:47 EST
(In reply to comment #5)
> koji build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=913629
> 
> You are building a noarch python package.
> Using CFLAGS is irrelevant. (it is replaced as -O2 only as noarch package).
> 
> In the install section, why do you need to install twice ?
> %{__python} setup.py install -O1 --skip-build --root %{buildroot}
> should be enought. (at least there is the same set of files with this method).

I just copied those two lines from
https://fedoraproject.org/wiki/Packaging/Python

Line removed.

> Gnome HIG recommends to use verb(s) in comments for desktop files...
> http://developer.gnome.org/projects/gup/hig/1.0/

Fixed.

(In reply to comment #7)
> You need to add Requires: hicolor-icon-theme for the
> /usr/share/icons/hicolor/128x128/apps/ directory.

Fixed.

Updated package:

http://rathann.fedorapeople.org/review/mnemosyne.spec
http://rathann.fedorapeople.org/review/mnemosyne-1.1.1-3.r1.fc9.src.rpm
Comment 9 Dominik 'Rathann' Mierzejewski 2008-11-11 13:15:11 EST
New Package CVS Request
=======================
Package Name: mnemosyne
Short Description: Flash-card learning tool
Owners: rathann
Branches: F-10 F-9 EL-5
InitialCC:
Comment 10 Kevin Fenzi 2008-11-12 13:17:39 EST
cvs done.
Comment 11 Nicolas Chauvet (kwizart) 2009-01-22 09:27:39 EST
This package hasn't been imported , Why ?
Once imported the bug should be closed.
Comment 12 Fedora Update System 2009-01-26 20:49:02 EST
mnemosyne-1.1.1-3.r1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-01-26 20:54:36 EST
mnemosyne-1.1.1-3.r1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.